POST /data/entities

Create a new entity with data provided in the request body. JSON format is expected. Requires manager access to the project.

application/json

Body Required

  • name string Required
  • project_id string(uuid) Required
  • entity_type_id string(uuid) Required
  • status string
  • data object

Responses

  • 201 application/json

    Entity created successfully

    Hide response attributes Show response attributes object
    • id string(uuid)
    • name string
    • project_id string(uuid)
    • entity_type_id string(uuid)
    • status string
    • data object
    • created_at string(date-time)
    • updated_at string(date-time)
  • 400

    Invalid data format or validation error

POST /data/entities
curl -X POST "http://api.example.com/data/entities" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "SH010",
  "project_id": "a24a6ea4-ce75-4665-a070-57453082c25",
  "entity_type_id": "b24a6ea4-ce75-4665-a070-57453082c25",
  "status": "running",
  "data": {
    "frame_in": 1001,
    "frame_out": 1120
  }
}'
import requests

url = "http://api.example.com/data/entities"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json",
    "Content-Type": "application/json"
}
params = {}
payload = {
    "name": "SH010",
    "project_id": "a24a6ea4-ce75-4665-a070-57453082c25",
    "entity_type_id": "b24a6ea4-ce75-4665-a070-57453082c25",
    "status": "running",
    "data": {
        "frame_in": 1001,
        "frame_out": 1120
    }
}

response = requests.post(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
curl \
 --request POST 'http://api.example.com/data/entities' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: application/json" \
 --data '{"name":"SH010","project_id":"a24a6ea4-ce75-4665-a070-57453082c25","entity_type_id":"b24a6ea4-ce75-4665-a070-57453082c25","status":"running","data":{"frame_in":1001,"frame_out":1120}}'
Request examples
{
  "name": "SH010",
  "project_id": "a24a6ea4-ce75-4665-a070-57453082c25",
  "entity_type_id": "b24a6ea4-ce75-4665-a070-57453082c25",
  "status": "running",
  "data": {
    "frame_in": 1001,
    "frame_out": 1120
  }
}
Response examples (201)
{
  "id": "a24a6ea4-ce75-4665-a070-57453082c25",
  "name": "SH010",
  "project_id": "b24a6ea4-ce75-4665-a070-57453082c25",
  "entity_type_id": "c24a6ea4-ce75-4665-a070-57453082c25",
  "status": "running",
  "data": {
    "frame_in": 1001,
    "frame_out": 1120
  },
  "created_at": "2024-01-15T10:30:00Z",
  "updated_at": "2024-01-15T10:30:00Z"
}